summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rwxr-xr-xjjb/infra/openstack-bifrost-verify.sh10
1 files changed, 10 insertions, 0 deletions
diff --git a/jjb/infra/openstack-bifrost-verify.sh b/jjb/infra/openstack-bifrost-verify.sh
index 42236f092..c17cb8861 100755
--- a/jjb/infra/openstack-bifrost-verify.sh
+++ b/jjb/infra/openstack-bifrost-verify.sh
@@ -11,6 +11,16 @@ set -o errexit
set -o nounset
set -o pipefail
+trap fix_ownership EXIT
+
+function fix_ownership() {
+ if [ -z "${JOB_URL+x}" ]; then
+ echo "Not running as part of Jenkins. Handle the logs manually."
+ else
+ chown -R jenkins:jenkins $WORKSPACE
+ fi
+}
+
# check distro to see if we support it
# we will have centos and suse supported in future
case "$DISTRO" in